It is currently Mon Aug 26, 2019 5:37 am


EXT_framebuffer_sRGB not supported on Debian

Anomaly Warzone Earth - all that relates to our game and Linux. Technicall support for Linux - if possible, that is.

EXT_framebuffer_sRGB not supported on Debian

Postby bobek » Thu Aug 23, 2012 3:33 pm

Hello,

every try to run the game ends with:

Code: Select all
bobek@bob:/opt/Anomaly$ ./AnomalyWarzoneEarth
GLX_EXT_swap_control not supported, unable to set vertical sync.
Extension EXT_framebuffer_sRGB not supported. Shutting down the game.
bobek@bob:/opt/Anomaly$


It seems that extension is actually supported:

Code: Select all
bobek@bob:~$ glxinfo | grep framebuffer_sRGB
    GLX_EXT_framebuffer_sRGB, GLX_NV_multisample_coverage
    GLX_EXT_framebuffer_sRGB, GLX_NV_present_video, GLX_NV_copy_image,
    GLX_NV_float_buffer, GLX_ARB_fbconfig_float, GLX_EXT_framebuffer_sRGB,
    GL_ARB_framebuffer_object, GL_ARB_framebuffer_sRGB,
    GL_EXT_framebuffer_sRGB, GL_EXT_geometry_shader4,


Code: Select all
OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: NVS 4200M/PCIe/SSE2
OpenGL version string: 4.2.0 NVIDIA 304.37
OpenGL shading language version string: 4.20 NVIDIA via Cg compiler


The complete output of glxinfo is at http://bobek.sh.cvut.cz/glxinfo.txt

Code: Select all
bobek@bob:/opt/Anomaly$ ldd AnomalyWarzoneEarth
   linux-gate.so.1 =>  (0xf7749000)
   libX11.so.6 => /usr/lib32/libX11.so.6 (0xf7603000)
   libGL.so.1 => /usr/lib32/libGL.so.1 (0xf759e000)
   libopenal.so.1 => /opt/Anomaly/./libopenal.so.1 (0xf7529000)
   libstdc++.so.6 => /opt/Anomaly/./libstdc++.so.6 (0xf743e000)
   libm.so.6 => /lib32/libm.so.6 (0xf7418000)
   libgcc_s.so.1 => /opt/Anomaly/./libgcc_s.so.1 (0xf73fb000)
   libc.so.6 => /lib32/libc.so.6 (0xf729e000)
   libpthread.so.0 => /lib32/libpthread.so.0 (0xf7285000)
   librt.so.1 => /lib32/librt.so.1 (0xf727c000)
   libxcb.so.1 => /usr/lib32/libxcb.so.1 (0xf7263000)
   libdl.so.2 => /lib32/libdl.so.2 (0xf725f000)
   libXext.so.6 => /usr/lib32/libXext.so.6 (0xf724f000)
   libXxf86vm.so.1 => /usr/lib32/libXxf86vm.so.1 (0xf724a000)
   libXdamage.so.1 => /usr/lib32/libXdamage.so.1 (0xf7247000)
   libXfixes.so.3 => /usr/lib32/libXfixes.so.3 (0xf7242000)
   libdrm.so.2 => /usr/lib32/libdrm.so.2 (0xf7238000)
   /lib/ld-linux.so.2 (0xf774a000)
   libXau.so.6 => /usr/lib32/libXau.so.6 (0xf7234000)
   libXdmcp.so.6 => /usr/lib32/libXdmcp.so.6 (0xf722f000)


The actual video controller (according to lspci) is

Code: Select all
01:00.0 VGA compatible controller: NVIDIA Corporation GF119 [Quadro NVS 4200M] (rev a1)


Appreciate any help or hint. Search only revealed that skeywm has the same problem viewtopic.php?f=10&t=200&p=860&hilit=EXT_framebuffer_sRGB&sid=2cec5534c09ed304ec6ce8e56ad35bbd#p860
bobek
 
Posts: 1
Joined: Thu Aug 23, 2012 3:25 pm

Re: EXT_framebuffer_sRGB not supported on Debian

Postby blackjudas » Sat Aug 25, 2012 2:05 am

I have the same issue, can someone shed some light on this error please? I'm getting quite frustrated with this, google isn't much help, and I'm sure it's a simple dependency that isn't being detected ... or simply isn't installed.

I am using Debian, amd64, testing.

Any ideas how to resolve this? I'll go playing with installing ia32 items... see if it fixes things. I'll report back if so.
blackjudas
 
Posts: 1
Joined: Sat Aug 25, 2012 1:58 am

Re: EXT_framebuffer_sRGB not supported on Debian

Postby krak76 » Tue Aug 28, 2012 9:19 pm

Solution is simple: install 32 bit version of your graphics library, for nvidia is libgl1-nvidia-glx-ia32 on debian wheezy
krak76
 
Posts: 1
Joined: Tue Aug 28, 2012 9:15 pm

Re: EXT_framebuffer_sRGB not supported on Debian

Postby adremasu » Sun Sep 02, 2012 8:16 pm

Did anyone try this solution with ATI boards?
adremasu
 
Posts: 1
Joined: Sun Sep 02, 2012 8:14 pm

Re: EXT_framebuffer_sRGB not supported on Debian

Postby madooeiei » Wed Aug 24, 2016 5:35 am

I can get it on only 1 monitor, otherwise I'm screwed.

บาคาร่าออนไลน์
madooeiei
 
Posts: 168
Joined: Sat Oct 03, 2015 9:27 am


Return to Anomaly Warzone Earth - all that relates to our game on Linux. Technicall support for Linux.

Who is online

Users browsing this forum: No registered users and 1 guest

cron